<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ppu__gr__cfg__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ppu_gr_cfg_t</compoundname>
    <includes local="no">cy_prot.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ppu__gr__cfg__t_1a56dcedb37950b6c2e48c2861e4b64711" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga330789bc5242c26b8a32df63fa8720e5">cy_en_prot_perm_t</ref></type>
        <definition>cy_en_prot_perm_t cy_stc_ppu_gr_cfg_t::userPermission</definition>
        <argsstring />
        <name>userPermission</name>
        <briefdescription>
<para>User permissions for the region. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="926" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="926" />
      </memberdef>
      <memberdef id="structcy__stc__ppu__gr__cfg__t_1ae6d7c8c8ce10cd0a89fb7353f4104438" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__prot__enums_1ga330789bc5242c26b8a32df63fa8720e5">cy_en_prot_perm_t</ref></type>
        <definition>cy_en_prot_perm_t cy_stc_ppu_gr_cfg_t::privPermission</definition>
        <argsstring />
        <name>privPermission</name>
        <briefdescription>
<para>Privileged permissions for the region. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="927" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="927" />
      </memberdef>
      <memberdef id="structcy__stc__ppu__gr__cfg__t_1a895dd45fe297de486786ea05c83473f1" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_ppu_gr_cfg_t::secure</definition>
        <argsstring />
        <name>secure</name>
        <briefdescription>
<para>Non Secure = 0, Secure = 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="928" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="928" />
      </memberdef>
      <memberdef id="structcy__stc__ppu__gr__cfg__t_1a9b55a30bbdab4a13b4cee0cd55b36ed5" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_ppu_gr_cfg_t::pcMatch</definition>
        <argsstring />
        <name>pcMatch</name>
        <briefdescription>
<para>Access evaluation = 0, Matching = 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="929" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="929" />
      </memberdef>
      <memberdef id="structcy__stc__ppu__gr__cfg__t_1aa052bc75a42ed12b38e5a30927d0ea32" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ppu_gr_cfg_t::pcMask</definition>
        <argsstring />
        <name>pcMask</name>
        <briefdescription>
<para>Mask of allowed protection context(s) </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="930" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="930" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Configuration structure for Fixed Group (GR) PPU (PPU_GR) struct initialization. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="931" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" bodystart="924" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_prot.h" line="925" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ppu__gr__cfg__t_1aa052bc75a42ed12b38e5a30927d0ea32" virt="non-virtual"><scope>cy_stc_ppu_gr_cfg_t</scope><name>pcMask</name></member>
      <member prot="public" refid="structcy__stc__ppu__gr__cfg__t_1a9b55a30bbdab4a13b4cee0cd55b36ed5" virt="non-virtual"><scope>cy_stc_ppu_gr_cfg_t</scope><name>pcMatch</name></member>
      <member prot="public" refid="structcy__stc__ppu__gr__cfg__t_1ae6d7c8c8ce10cd0a89fb7353f4104438" virt="non-virtual"><scope>cy_stc_ppu_gr_cfg_t</scope><name>privPermission</name></member>
      <member prot="public" refid="structcy__stc__ppu__gr__cfg__t_1a895dd45fe297de486786ea05c83473f1" virt="non-virtual"><scope>cy_stc_ppu_gr_cfg_t</scope><name>secure</name></member>
      <member prot="public" refid="structcy__stc__ppu__gr__cfg__t_1a56dcedb37950b6c2e48c2861e4b64711" virt="non-virtual"><scope>cy_stc_ppu_gr_cfg_t</scope><name>userPermission</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>